org.keycloak.migration.migrators

## Class MigrateTo3_2_0

- java.lang.Object
- - org.keycloak.migration.migrators.MigrateTo3_2_0

- All Implemented Interfaces:
    Migration

      public class MigrateTo3_2_0
      extends Object
      implements Migration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ModelVersion` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateTo3_2_0()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRoles(ClientModel realmAccess)`
    `ModelVersion` | `getVersion()`
    `void` | `migrate(KeycloakSession session)`
    `void` | `migrateImport(KeycloakSession session, RealmModel realm, RealmRepresentation rep, boolean skipUserDependent)` Called after full import of representation.
    `protected void` | `migrateRealm(KeycloakSession session, RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final ModelVersion VERSION

  - ### Constructor Detail

    - #### MigrateTo3_2_0

          public MigrateTo3_2_0()

  - ### Method Detail

    - #### migrate

          public void migrate(KeycloakSession session)

      Specified by:
        `migrate` in interface `Migration`

    - #### migrateImport

          public void migrateImport(KeycloakSession session,
                                    RealmModel realm,
                                    RealmRepresentation rep,
                                    boolean skipUserDependent)

      Description copied from interface: `Migration`
      Called after full import of representation. Implementations of this method should try not make assumptions about what was imported from the representations. We have no idea what the user will do to an exported json file.
      Specified by:
        `migrateImport` in interface `Migration`

    - #### migrateRealm

          protected void migrateRealm(KeycloakSession session,
                                      RealmModel realm)

    - #### addRoles

          public void addRoles(ClientModel realmAccess)

    - #### getVersion

          public ModelVersion getVersion()

      Specified by:
        `getVersion` in interface `Migration`

Copyright © 2021 JBoss by Red Hat. All rights reserved.